{
  config,
  scope,
  ...
}:
scope "programs.foot" {
  enable = true;
  enableFishIntegration = true;
  settings = {
    main =
      let
        font =
          config.rice.fonts.monospace.name + ":size=" + (builtins.toString config.rice.fonts.monospace.size);
      in
      {
        inherit font;
        font-bold = font;
        font-italic = font;
      };
    colors =
      let
        pal = config.rice.palette.shortHex;
      in
      {
        background = pal.util.bg;
        foreground = pal.util.fg;
        regular0 = pal.normal.black;
        regular1 = pal.normal.red;
        regular2 = pal.normal.green;
        regular3 = pal.normal.yellow;
        regular4 = pal.normal.blue;
        regular5 = pal.normal.magenta;
        regular6 = pal.normal.cyan;
        regular7 = pal.normal.white;
        bright0 = pal.bright.black;
        bright1 = pal.bright.red;
        bright2 = pal.bright.green;
        bright3 = pal.bright.yellow;
        bright4 = pal.bright.blue;
        bright5 = pal.bright.magenta;
        bright6 = pal.bright.cyan;
        bright7 = pal.bright.white;

        selection-foreground = pal.util.fg_sel;
        selection-background = pal.util.bg_sel;
      };
  };
}
